classification
Title: setup.py install --dry-run option doesn't work
Type: behavior Stage: test needed
Components: Distutils Versions: Python 3.5
process
Status: open Resolution:
Dependencies: 1109658 Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, j1m, michael.mulich, tarek, thomas.holmes
Priority: normal Keywords: easy

Created on 2010-04-22 21:35 by j1m, last changed 2014-03-13 20:09 by eric.araujo.

Messages (4)
msg103979 - (view) Author: Jim Fulton (j1m) * (Python committer) Date: 2010-04-22 21:35
The --dry-run option is ignored by the install command.
It leads to an error when used as a global option.

It should be fixed or removed.  I vote for removal, but don't really care. Removal seems easier. :)

To reproduce, create the simple project:

  http://docs.python.org/distutils/introduction.html#a-simple-example

and then try the option.

See also:

  http://mail.python.org/pipermail/distutils-sig/2010-April/016000.html
msg106743 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-05-29 21:34
Tarek, do we change the component to Distutils2?

If so, I’m willing to give this a try.
msg114943 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-25 22:55
Wow. I’m amazed to see that the majority of commands don’t even bother with dry-run. I’m changing the component to distutils2: This is between bug fix and new feature, your report is the first one, and it’s easier to hack on distutils2. When this is fixed, I’ll ask Tarek if we should backport it to distutils (probably not).

I’m adding the easy keyword to indicate that writing tests for the --dry-run behavior could be done by a beginner during a sprint or bug day.
msg213455 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-13 20:09
Narrowing the scope of this issue to only cover the original request.
History
Date User Action Args
2014-03-13 20:09:20eric.araujosetversions: + Python 3.5, - 3rd party
title: --dry-run option doesn't work -> setup.py install --dry-run option doesn't work
messages: + msg213455

components: + Distutils, - Distutils2
resolution: accepted ->
2011-06-30 17:06:03thomas.holmessetnosy: + thomas.holmes
2011-06-09 22:31:06michael.mulichsetnosy: + michael.mulich
2010-09-30 00:05:27eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-08-25 22:59:56eric.araujosetdependencies: + distutils dry-run breaks when attempting to bytecompile
2010-08-25 22:57:03eric.araujosetdependencies: - distutils argument parsing is bogus
2010-08-25 22:55:46eric.araujosetassignee: tarek -> eric.araujo
dependencies: + distutils argument parsing is bogus
components: + Distutils2, - Distutils
versions: + Python 2.5, - Python 3.3
keywords: + easy
nosy: tarek, eric.araujo, j1m
messages: + msg114943
stage: test needed
2010-05-29 21:34:12eric.araujosetnosy: + eric.araujo
messages: + msg106743
2010-04-22 21:37:01tareksetpriority: normal
resolution: accepted
versions: + Python 3.1, Python 2.7, Python 3.2, Python 3.3, - Python 2.5
2010-04-22 21:35:43j1mcreate